slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPVectorsView

Outputs computed eigenvectors to a viewer.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPVectorsView(PEP pep,PetscViewer viewer)

Collective

### Input Parameters

| pep | - the eigensolver context
| viewer | - the viewer

### Options Database Key

| -pep_view_vectors | - output eigenvectors.

### Note

If PETSc was configured with real scalars, complex conjugate eigenvectors will be viewed as two separate real vectors, one containing the real part and another one containing the imaginary part.

### See Also

PEPSolve(), PEPValuesView(), PEPErrorView()

### Level

intermediate

### Location

src/pep/interface/pepview.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages